package com.lz.modules.flow.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.lz.modules.app.entity.StaffSimpleInfo;
import com.lz.modules.flow.entity.EvaluationStartStaff;

import java.util.List;

/**
* <p>
* 发起考核考，核组人员对应关系表 服务类
* </p>
*
* @author quyixiao
* @since 2020-10-13
*/
public interface EvaluationStartStaffService extends IService<EvaluationStartStaff> {



	EvaluationStartStaff selectEvaluationStartStaffById(Long id);


	Long insertEvaluationStartStaff(EvaluationStartStaff evaluationStartStaff);


	int updateEvaluationStartStaffById(EvaluationStartStaff evaluationStartStaff);


	int updateCoverEvaluationStartStaffById(EvaluationStartStaff evaluationStartStaff);


	int deleteEvaluationStartStaffById(Long id);


	Long insertEvaluationStartStaffs(List<EvaluationStartStaff> evaluationStartStaffs);

	EvaluationStartStaff selectOneByStartIdAndStaffId(Long startId,Long staffId);

    EvaluationStartStaff selectManagerEvaluationStartStaff(Long evaluationId, Long userId);

    int updateBatchToScore(Long startId,Long evaluationId);

    List<Long> selectStaffIdsByStartAndStaffId(Long id, List<StaffSimpleInfo> staffIds);

	EvaluationStartStaff selectEvaluationStartById(Long evaluationId, Long startId);
}